textures/lilith_ctu/cretefloor
{
	surfaceparm nodamage
	{
		map textures/lilith_ctu/cretefloor
	}
	{
		map $lightmap
		blendFunc filter
		rgbGen identity
	}
}

textures/lilith_ctu/lightwhite
{
	q3map_surfaceLight 11000
	{
		map textures/lilith_ctu/lightwhite
	}
	{
		map $lightmap
		blendFunc filter
		rgbGen identity
	}
}

textures/lilith_ctu/lightpanel
{
	q3map_surfaceLight 33000
	{
		map textures/lilith_ctu/lightpanel
	}
	{
		map $lightmap
		blendFunc filter
		rgbGen identity
	}
}

textures/lilith_ctu/lilith
{
	qer_alphaFunc gequal 0.5
	q3map_surfaceLight 3000
	surfaceparm trans
	polygonOffset
	cull none
	{
		map textures/lilith_ctu/lilith
		blendFunc blend
	}
	{
		map $lightmap
		blendFunc filter
		rgbGen identity
	}
}

textures/lilith_ctu/metal
{
	surfaceparm nodamage
	{
		map textures/lilith_ctu/metal
	}
	{
		map textures/lilith_ctu/tinfx
		blendFunc add
		tcGen environment
	}

	{
		map $lightmap
		blendFunc filter
		rgbgen identity
	}
}

textures/lilith_ctu/glass
{
	qer_trans .5
	surfaceparm trans
	surfaceparm nodamage
	surfaceparm slick
	surfaceparm alphashadow
	{
		map textures/lilith_ctu/glass
		blendFunc blend
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc filter
		rgbGen identity
	}

}

textures/lilith_ctu/gradient
{
	qer_trans .5
	surfaceparm noimpact
	surfaceparm nonsolid
	surfaceparm trans
	cull none
	{
		clampmap textures/lilith_ctu/gradient.tga
		blendfunc blend
		tcMod scroll 1 0
	}
}

textures/lilith_ctu/pod
{
	qer_trans .7
	surfaceparm trans
	surfaceparm noimpact
	surfaceparm nomarks
	cull none
	{
		map textures/lilith_ctu/pod
		blendfunc blend
		tcMod scale 0.128 0.128
		tcMod scroll 0 0.5 
	}
}


textures/lilith_ctu/water.old
{
	qer_trans .5
	q3map_globaltexture
	//q3map_cheapwater 1 0.9 0.9 1
	q3map_fancywater .4 1 1 1

	surfaceparm water
	surfaceparm trans
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nodlight

	cull none
	deformVertexes wave 64 sin 1 1 0 .5	
	nopicmip
	{
		map textures/lilith_ctu/water
		blendFunc blend
		alphaGen const 0.7
		rgbGen identity
		tcMod scroll -0.25 0.128
	}
	{
		map textures/lilith_ctu/water
		blendFunc blend
		alphaGen const 0.7
		tcMod scroll 0.128 -0.25
	}
	{
		map textures/lilith_ctu/water
		blendFunc blend
		alphaGen const 0.7
		tcMod scroll -0.25 0.128
	}
}


// Delirium's water
textures/lilith_ctu/water
{
	qer_trans 0.5
	q3map_globaltexture
	//q3map_cheapwater 1 0.9 0.9 1
	q3map_fancywater 1 0.9 0.9 1

	surfaceparm trans
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nodlight
	surfaceparm water

	cull disable
	nopicmip
	{
		map textures/lilith_ctu/water.tga
		blendFunc blend
		alphaGen const 0.1
		rgbGen identity
		tcMod scale 0.5 0.5
		tcMod turb 0.1 0.1 0.1 0.1
	}
	{
		map textures/lilith_ctu/water.tga
		blendFunc blend
		alphaGen const 0.1
		rgbGen identity
		tcMod scroll 0.05 -0.01
	}
	{
		map textures/lilith_ctu/water.tga
		blendFunc blend
		alphaGen const 0.1
		rgbGen identity
		tcMod scale 2 2
		tcMod turb 0 0.1 1 0.1
	}
}

textures/lilith_ctu/water_another
{
	qer_trans 0.5
	q3map_globaltexture
 	//q3map_cheapwater 1 0.9 0.9 1
	q3map_fancywater 1 0.9 0.9 1

	surfaceparm trans
 	surfaceparm noimpact
 	surfaceparm nolightmap
 	surfaceparm nomarks
 	surfaceparm nodlight
	surfaceparm water

	cull disable
 	nopicmip
	{
		map textures/lilith_ctu/water.tga
		blendFunc gl_dst_color gl_one
		rgbGen identity
		tcMod scale 0.5 0.5
		tcMod turb 0.1 0.1 0.1 0.1
	}
	{
		map textures/lilith_ctu/water.tga
		blendFunc gl_dst_color gl_one
		rgbGen identity
		tcMod scroll 0.05 -0.01
	}
	{
		map textures/lilith_ctu/water.tga
		blendFunc gl_dst_color gl_one
		rgbGen identity
		tcMod scale 2 2
		tcMod turb 0 0.1 1 0.1
	}
}
