//
// AEon's Desert
//###############
//


//	Desert.shader for Q3Radiant by Sock - 19th August 2000
// -------------------------------
// q3map_sun <red> <green> <blue> <intensity> <degrees> <elevation>
// color will be normalized, so it doesn't matter what range you use
// intensity falls off with angle but not distance 100 is a fairly bright sun
// degree of 0 = from the east, 90 = north, etc.  altitude of 0 = sunrise/set, 90 = noon
textures/aedesert/desert_skybox
{
	qer_editorimage textures/aetime/skybox1.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_globaltexture
	q3map_lightsubdivide 256
// was 75, sofar used 130
	q3map_surfacelight 130
	surfaceparm sky
// intensity was 100, sofar I used 155, elevation was 45
	q3map_sun 1.00 0.949 0.977 155 200 60
	skyparms env/aedesert/desert - -
}
 
// ############################################
// natedm's
models/mapobjects/nateleaf1/tree2
{
    cull disable
    surfaceparm alphashadow
    {
		map models/mapobjects/nateleaf1/tree2.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
}

// ############################################
// Shaderfile by dbyrd01, 12-3-01
//
textures/dbstudio_plants/palmfrond3
{
	surfaceparm alphashadow
	cull disable
	{
		map textures/dbstudio_plants/palmfrond3.tga
		rgbGen vertex
		depthWrite
		alphaFunc GE128
	}

}

// ############################################
//	Title  : egyptsoc.shader (original source)
//	Author : Sock
//	URL    : http://www.planetquake.com/simland
//	Version: 1.6
// Adapted/Edited by AEon

// Jumppad ###############################
//egyptsoc_sfx/jpgold_floor1b
textures/aedesert/ae_jpgold_floor1b
{
	qer_editorimage textures/aedesert/jumppad1bg.tga
	q3map_lightimage textures/aedesert/jumppad1g.blend.tga	
	q3map_surfacelight 400
	{
		map textures/aedesert/gold_telep.tga
                tcmod rotate 180
                tcMod stretch sin .8 0.1 0 .5
	}
	{
		clampmap textures/aedesert/jumppadsmall_g.tga
		blendfunc ADD
		tcMod stretch sin 0.95 .7 0 1.25
		rgbGen wave square .5 .5 .25 1.25
		rgbgen identity
	}
	{
		map textures/aedesert/jumppad1bg.tga
                blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbgen identity
	}
        {
		map $lightmap
                blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
	{
		map textures/aedesert/jumppad1g.blend.tga
		blendfunc ADD
		rgbgen wave sin .8 .2 0 1
	}
}

// Small brown triangle light #############
//egyptsoc_sfx/lig_032-02y2-2k
textures/aedesert/ae_lig_032-02y2-2k
{
	qer_editorimage textures/aedesert/lig_032-02y2.tga
	q3map_lightimage textures/aedesert/lig_032-02y.blend.tga
	q3map_surfacelight 2000
	//q3map_lightsubdivide 64
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/aedesert/lig_032-02y2.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
//	{
//		map textures/aedesert/lig_032-02y.blend.tga
//		blendfunc GL_ONE GL_ONE
//		rgbGen wave sin .3 .1 0 0.5
//	}
}

// Small grey star light #############
//egyptsoc_sfx/lig_032-04y1-2k
textures/aedesert/ae_lig_032-04y1-2k
{
	qer_editorimage textures/aedesert/lig_032-04y1.tga
	q3map_lightimage textures/aedesert/lig_032-04y.blend.tga
	q3map_surfacelight 2000
	//q3map_lightsubdivide 64
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/aedesert/lig_032-04y1.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
//	{
//		map textures/aedesert/lig_032-04y.blend.tga
//		blendfunc GL_ONE GL_ONE
//		rgbGen wave sin .3 .1 0 0.5
//	}
}

// Small brown star light #############
//egyptsoc_sfx/lig_032-04y2-2k
textures/aedesert/ae_lig_032-04y2-2k
{
	qer_editorimage textures/aedesert/lig_032-04y2.tga
	q3map_lightimage textures/aedesert/lig_032-04y.blend.tga
	q3map_surfacelight 2000
//	q3map_lightsubdivide 64
    q3map_backsplash 0 0
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/aedesert/lig_032-04y2.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
//	{
//		map textures/aedesert/lig_032-04y.blend.tga
//		blendfunc GL_ONE GL_ONE
//		rgbGen wave sin .3 .1 0 0.5
//	}
}

// Med Anque grey light #############
//egyptsoc_sfx/lig_064-01y1-2k
textures/aedesert/ae_lig_064-01y1-2k
{
	qer_editorimage textures/aedesert/lig_064-01y1.tga
	q3map_lightimage textures/aedesert/lig_064-01y.blend.tga
	q3map_surfacelight 2000
	//q3map_lightsubdivide 64
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/aedesert/lig_064-01y1.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
//	{
//		map textures/aedesert/lig_064-01y.blend.tga
//		blendfunc GL_ONE GL_ONE
//		rgbGen wave sin .3 .1 0 0.5
//	}
}

// Med Anque brown light #############
//egyptsoc_sfx/lig_064-01y2-2k
textures/aedesert/ae_lig_064-01y2-2k
{
	qer_editorimage textures/aedesert/lig_064-01y2.tga
	q3map_lightimage textures/aedesert/lig_064-01y.blend.tga
	q3map_surfacelight 2000
	//q3map_lightsubdivide 64
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/aedesert/lig_064-01y2.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
//	{
//		map textures/aedesert/lig_064-01y.blend.tga
//		blendfunc GL_ONE GL_ONE
//		rgbGen wave sin .3 .1 0 0.5
//	}
}

// Blue double triangle #############
//egyptsoc_sfx/lig_064-06b2-2k
textures/aedesert/ae_lig_064-06b2-2k
{
	qer_editorimage textures/aedesert/lig_064-06b2.tga
	q3map_lightimage textures/aedesert/lig_064-06b.blend.tga
	q3map_surfacelight 2000
	//q3map_lightsubdivide 64
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/aedesert/lig_064-06b2.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/aedesert/lig_064-06b.blend.tga
		blendfunc GL_ONE GL_ONE
		rgbGen wave sin .3 .1 0 0.5
	}
}

// #################################
// Light band - grey/blue ##########
//egyptsoc_sfx/lig_b064-01a
textures/aedesert/ae_lig_b064-01a
{
	qer_editorimage textures/aedesert/lig_b064-01a.tga
	q3map_lightimage textures/aedesert/lig_b064-01b.blend.tga
	q3map_surfacelight 1000
	//q3map_lightsubdivide 64
    q3map_backsplash 0 0
	{
		map textures/aedesert/lig_b064-01a.tga
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendfunc filter
	}
//	{
//		map textures/aedesert/lig_b064-01b.blend.tga
//		blendfunc add	
//                rgbgen wave sin .5 .3 0 1
//	}
}

// Light band - brown/blue ##########
//egyptsoc_sfx/lig_b064-01b
textures/aedesert/ae_lig_b064-01b
{
	qer_editorimage textures/aedesert/lig_b064-01b.tga
	q3map_lightimage textures/aedesert/lig_b064-01b.blend.tga
	q3map_surfacelight 1000
	//q3map_lightsubdivide 64
    q3map_backsplash 0 0
	{
		map textures/aedesert/lig_b064-01b.tga
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendfunc filter
	}
//	{
//		map textures/aedesert/lig_b064-01b.blend.tga
//		blendfunc add	
//                rgbgen wave sin .5 .3 0 1
//	}
}

// Light band - grey/yellow ##########
//egyptsoc_sfx/lig_b064-01c
textures/aedesert/ae_lig_b064-01c
{
	qer_editorimage textures/aedesert/lig_b064-01c.tga
	q3map_lightimage textures/aedesert/lig_b064-01y.blend.tga
	q3map_surfacelight 1000
	//q3map_lightsubdivide 64
    q3map_backsplash 0 0
	{
		map textures/aedesert/lig_b064-01c.tga
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendfunc filter
	}
//	{
//		map textures/aedesert/lig_b064-01y.blend.tga
//		blendfunc add	
//                rgbgen wave sin .5 .3 0 1
//	}
}

// Light band - brown/yellow ##########
//egyptsoc_sfx/lig_b064-01d
textures/aedesert/ae_lig_b064-01d
{
	qer_editorimage textures/aedesert/lig_b064-01d.tga
	q3map_lightimage textures/aedesert/lig_b064-01d.tga
	q3map_surfacelight 1000
	//q3map_lightsubdivide 64
    q3map_backsplash 0 0
	{
		map textures/aedesert/lig_b064-01d.tga
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendfunc filter
	}
//	{
//		map textures/aedesert/lig_b064-01y.blend.tga
//		blendfunc add	
//                rgbgen wave sin .5 .3 0 1
//	}
}
