textures/death/vitre
{
	qer_editorimage textures/death/vitre.tga
	surfaceparm trans
	cull disable
	
	{
		map textures/effects/tinfx2.tga
		blendFunc add
		tcGen environment
	}
}

textures/death/fog
{
	qer_editorimage textures/death/fog.tga
	qer_nocarve
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm fog
	surfaceparm nolightmap
	fogparms ( 0 0 0 ) 1500
}

textures/death/fog1
{
	qer_editorimage textures/death/fog1.tga
	surfaceparm trans
	cull disable
	surfaceparm nonsolid
	surfaceparm nomarks

	{
		map textures/death/fog3.tga
		tcMod Scroll -0.08 -.05
		blendFunc add
	}
	{
		map textures/death/fog2.tga
		tcMod Scroll -0.05 .06
		blendFunc add
	}
	{
		map textures/death/fog1.tga
		tcMod Scroll 0.08 -.1
		blendFunc add
	}
}

textures/death/fog_blak
{
	qer_editorimage textures/death/fog_blak.tga
	qer_nocarve
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm fog
	surfaceparm nolightmap
	fogparms ( 0.7 0.7 0.7 ) 1900

	{
		map textures/liquids/kc_fogcloud3.tga
		blendfunc gl_dst_color gl_zero
		tcmod scale -.05 -.05
		tcmod scroll .01 -.01
		rgbgen identity
	}
	{
		map textures/liquids/kc_fogcloud3.tga
		blendfunc gl_dst_color gl_zero
		tcmod scale .05 .05
		tcmod scroll .01 -.01
		rgbgen identity
	}
}

textures/death/fume1
{
	qer_editorimage textures/death/fume1.tga
	surfaceparm trans
	cull disable
	surfaceparm nonsolid
	surfaceparm nomarks
	deformVertexes wave 194 sin 0 3 0 .4
	deformVertexes normal .3 .2

	{
		map textures/death/fume1.tga
		tcMod Scroll -0.08 -.05
		blendFunc add
	}
}

textures/death/fume2
{
	qer_editorimage textures/death/fume2.tga
	surfaceparm trans
	cull disable
	surfaceparm nonsolid
	surfaceparm nomarks
	deformVertexes wave 194 sin 0 3 0 .4
	deformVertexes normal .3 .2

	{
		map textures/death/fume2.tga
		tcMod Scroll 0.05 -.06
		blendFunc add
	}
}

textures/death/plan1
{
	qer_editorimage textures/death/plan1.tga
	surfaceparm trans
	cull disable

	{
		map textures/death/plan1.tga
	}
	{
		map textures/base_wall/comp3text.tga
		rgbGen identity
		blendFunc GL_ONE GL_one
		tcmod scroll 3 1
	}
	{
		map textures/base_wall/comp3textb.tga
		rgbGen identity
		blendFunc GL_ONE GL_one
		tcmod scroll 3 3
	}
	{
		map textures/base_wall/comp3env.tga
		tcGen environment
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin .98 .02 0 5
	}
	{
		map $lightmap
		tcGen environment
		blendFunc GL_DST_COLOR GL_ONE
	}
}

textures/death/trace1
{
	qer_editorimage textures/death/trace1.tga
	q3map_globaltexture
	surfaceparm nonsolid
	surfaceparm nomarks
	cull none

	{
		map textures/death/trace1.tga
		blendfunc add
	}
}

textures/death/trace2
{
	qer_editorimage textures/death/trace.tga
	surfaceparm nonsolid
	surfaceparm nomarks
	q3map_globaltexture
	cull none

	{
		map textures/death/trace.tga
		blendfunc add
	}
}

textures/death/water
{
	qer_editorimage textures/death/water.tga
	qer_trans .5
	q3map_globaltexture
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm water
	cull disable
	deformVertexes wave 64 sin .5 .5 0 .5

	{
		map textures/death/fog3.tga
		tcMod Scroll -0.08 -.05
		blendfunc GL_ONE GL_ONE
	}
	{
		map textures/death/fog1.tga
		tcMod Scroll 0.08 -.1
		blendfunc GL_ONE GL_ONE
	}
	{
		map textures/liquids/pool3d_5b.tga
		blendFunc GL_dst_color GL_one
		tcmod scale .5 .5
		rgbgen identity
		tcmod transform 1.5 0 1.5 1 1 2
		tcmod scroll -.05 .001
	}
	{
		map textures/liquids/pool3d_6b.tga
		blendFunc GL_dst_color GL_one
		rgbgen identity
		tcmod scale .5 .5
		tcmod transform 0 1.5 1 1.5 2 1
		tcmod scroll .025 -.001
	}
	{
		map textures/liquids/pool3d_3b.tga
		blendFunc GL_dst_color GL_one
		rgbgen identity
		tcmod scale .25 .5
		tcmod scroll .001 .025
	}
	{
		map $lightmap
		blendFunc GL_dst_color GL_zero
		rgbgen identity
	}
}
